/**
@return la surface de l'aire de jeu (grille)
*/
float getSurfaceGrid() {
  //On considère que la grille est la plus grande surface à detecter
  ArrayList<Contour> contours;
  float surface = 0;
  contours = opencv.findContours();
  Contour grid= contours.get(0); //variable test
  for (Contour contour : contours) {
    if (contour.getPolygonApproximation ().numPoints()==4) { 
      if (contour.area() > surface && contour.area() < (img_jeu.width*img_jeu.height)*0.9 &&
      contour.area() > (img_jeu.width*img_jeu.height)*0.) {
        surface = contour.area();
        grid = contour;        
      }
    }
  }
  drawContour(grid, color(0, 255, 0));//affiche le contours de la grille sur la sortie standard
  return surface;
}

/**
@param pion Un booléen pour si vrai (true) on cherche le centre des pions
            si faux (false) on cherche le centre des cases
@return une ArrayList des centres des cases si pion = false
@return une ArrayList des centres des pions si pion = true
*/
ArrayList<PVector> getCentersObjects(boolean pion) {
  float surface = getSurfaceGrid();
  ArrayList<Contour> contours;
  ArrayList<PVector> centers = new ArrayList<PVector>();
  contours = opencv.findContours();
  for (Contour contour : contours) {
    if (pion == true) {
      if (contour.getPolygonApproximation ().numPoints() > 10  
        && contour.area() < surface/10 && contour.area() > surface*0.01)
        centers.add(getCenter(contour));
    } else {
      if (contour.getPolygonApproximation ().numPoints() == 4 
        && contour.area() < surface/2 && contour.area() > surface*0.05)
        centers.add(getCenter(contour));
    }
  }
  return centers;
}

/**
@param contour La surface openCV (de type Contour) dont on veut calculer le barycentre (x,y)
@return les coordonnées (x,y) du barycentre d'un contour fermé
*/
PVector getCenter(Contour contour) {
  float x=0, y=0;
  int compteur = 0;
  for (PVector point : contour.getPolygonApproximation ().getPoints()) {
    x = x + point.x;
    y = y + point.y;
    compteur++;
  }
  return new PVector(int(x/compteur), int(y/compteur));
}
