/**
 @return un tableau contenant que des zéros. Ce tableau représente la grille
 du jeu avec ses 9 cases.
 */
int[] initialiseJeu() {
  joueur = 1;
  int[] init = new int[9]; 
  for (int i=0; i<9; i++)
    init[i] = 0;
  return init;
}

/**
 @param jeu Tableau de l'état courant du jeu
 Permet d'afficher sur la sortie standard l'état du jeu courant.
 */
void afficheJeu(int[] jeu) {
  println(jeu[6], jeu[7], jeu[8]);
  println(jeu[3], jeu[4], jeu[5]);
  println(jeu[0], jeu[1], jeu[2]);
}

/**
 @param jeu Tableau de l'état courant du jeu
 @return le joueur qui doit jouer le prochain coup joueur1 : 1, joueur2 : 2
 */
int joueur(int[] jeu) {
  int j1 = 0;
  int j2 = 0;
  for (int i=0; i<jeu.length; i++) {
    if (jeu[i]==1) 
      j1++;
    if (jeu[i]==2)
      j2++;
  }
  if (j1==j2)
    return 1;
  return 2;
}

/**
 @param jeu Tableau de l'état courant du jeu
 @return les cases vides, c'est à dire les coups possibles à jouer
 */
int[] coupPossible(int[] jeu) {
  String coup = "";
  for (int i=0; i<jeu.length; i++) {
    if (jeu[i]==0)
      coup = coup + i + " ";
  }
  coup = coup.trim();
  return int(split(coup, ' '));
}


/**
 @param i Indice de la case
 @return vrai(true) si la case est vide, faux(false) sinon
 */
boolean isEmpty(int[] jeu, int i) {
  if (jeu[i]==0)
    return true;
  else
    return false;
}

/**
 Permet de jouer un coup
 @param i       Indice de la case à jouer
 @param player  humain = 1 , ordinateur = 2
 @param jeu Tableau de l'état actuel du jeu
 */
void play(int[] jeu, int i, int player) {
  jeu[i] = player;
}

/**
 @param return vrai(true) si la parti est gagnée, faux(false) sinon
 */
boolean isWin(int[] jeu) {
  for (int i=0; i<=6; i = i+3)
    if (jeu[i] != 0)
      if (jeu[i] == jeu[i+1] && jeu[i+1] == jeu[i+2])
        return true;
  for (int i=0; i<3; i++)
    if (jeu[i] != 0)
      if (jeu[i] == jeu[i+3] && jeu[i+3] == jeu[i+6])
        return true;
  if (jeu[0] != 0) {
    if (jeu[0] == jeu[4] && jeu[4] == jeu[8])
      return true;
  }
  if (jeu[2] != 0) {
    if (jeu[2] == jeu[4] && jeu[4] == jeu[6])
      return true;
  }
  return false;
}

/**
 @param jeu Tableau du jeu dans l'état actuel
 @return 0 : pas fini ou égalité, 1 : joueur1, 2 : joueur2 
 */
int winner(int[] jeu) {
  if (isWin(jeu)==true)
    if (joueur(jeu)==2)
      return 1;
    else
      return 2;
  return 0;
}

