/**
Ensemble de fonctions permettant de jouer au morpion avec l'Ergo-Jr de l'INRIA
Pour lancer le jeu il est nécessaire de : 
Connecter une webcam sur un port USB
Connecter l'ergo-jr en ethernet
Lancer le programme Snap! permettant de communiquer avec le serveurHTTP
D'installer les packages : opencv, video, net, Arrays
@author : Christophe Casseau
@version: morpion 0_1
**/

import java.util.Arrays;
import gab.opencv.*;
import processing.video.*; 
import processing.net.*;

//Le jeu
int[] pair = {0,2,6,8};
int[] jeu; //plateau de jeu
String pos = null;//reponse ordinateur
int joueur = 1;
int p = 0;
//Le serveur HTTP
int port = 10002; 
Server myServer;

//analyse de l'image
Capture cam;
PImage img_jeu;
OpenCV opencv;

void setup() {
  size(640, 480);
  jeu = initialiseJeu();
  myServer = new Server(this, port);
  cam = new Capture(this);
  cam.start();
}

void draw() {
  if (cam.available()) { 
    // Lecture d'une nouvelle image
    cam.read();
  }
  image(cam, 0, 0);
  img_jeu = get();
  //transfert de la position à jouer par le robot
  //vers snap par l'intermédiaire du serveur HTTP
  if (pos != null)
    serverHTTP(pos);
}


